For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to page URLs.
Skip to content

Estimate Transaction Fees

Estimate transaction fees

post

Estimate transaction fees

Authorizations
X-Ledger-API-KeystringRequired

If you've set up your API Key when initializing your LAM, you'll need to include it as a header along with the api user header. For more details, see step 5 of the get started documentation.

X-Ledger-API-UserstringRequired

(required) Username of a registered API User

Body
Responses
200

attributes of the transaction to estimate

application/json
or
or
or
or
or
or
or
post/transactions/estimate-fees
POST /transactions/estimate-fees HTTP/1.1
X-Ledger-API-Key: YOUR_API_KEY
X-Ledger-API-User: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 392

{
  "data": {
    "account_id": "101",
    "fees_strategy": {
      "data": {
        "fees_per_byte": "30"
      },
      "type": "CUSTOM"
    },
    "transaction_data": {
      "account_name": "ETH Wallet 1",
      "amount": "1267887898998",
      "currency": "bitcoin",
      "max_fees": "123908790",
      "recipient": "0x1234...abcd"
    },
    "transaction_type": "BITCOIN_LIKE_SEND"
  },
  "note": {
    "content": "some information about this transaction",
    "title": "a note title"
  },
  "type": "CREATE_TRANSACTION"
}
{
  "coin_fields": {
    "gas_limit": "21000",
    "gas_price": "157000000"
  },
  "max_fees": "text"
}

Last updated